   
<div class="modal-header">
        <h4 id="dialog-sizes-name1" class="modal-title pull-left">Funzioni Associate al Profilo <br> {{profile.name}} - {{profile.description}}</h4>
</div>
<app-alert [scope]="AlertScope.MODAL"></app-alert>
<div class="modal-body">  
    <form #FormAddFunction="ngForm" name="FormAddFunction" >  
        <div class="form-row">            
            <div class="col">
                <div class="form-group">
                    <label class=" font-weight-bold">Funzioni:</label>
                    <div class="form-group">
                        <ng-select
                            [ngClass]="{'has-errorSelect' : (SelectedFunctionRef.invalid && (SelectedFunctionRef.dirty || SelectedFunctionRef.touched))}"
                            [items]="functionList" name="selectedFunction" style="width: 100%" bindLabel="description"
                            placeholder="Selezionare una Funzione" notFoundText="Nessun Risultato"
                                [(ngModel)]="selectedFunction" #SelectedFunctionRef="ngModel" required>
                        </ng-select>
                        <div *ngIf="SelectedFunctionRef.errors && (SelectedFunctionRef.dirty || SelectedFunctionRef.touched)"
                            class="validation-messagesSelect">
                            <div [hidden]="!SelectedFunctionRef.errors.required">
                                <div *ngIf="SelectedFunctionRef.errors.required; then requiredErr else invalidErr"></div>
                                <ng-template #requiredErr>Seleziona una Funzione</ng-template>
                                <ng-template #invalidErr>{{SelectedFunctionRef.errors.error}}</ng-template>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <button type="button" class="btn btn-sm btn-success size" [disabled]="!FormAddFunction.valid" (click)="addFunction()" style="float: right; margin-bottom: 15px;">Aggiungi</button>     
        <div style="width: 100% inline-block">
            <table datatable id="profileFunction{{profile.id}}" [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="row-border centered-datatables">
                <thead>
                    <tr>                       
                    <th scope="col">Codice</th>
                    <th scope="col">Descrizione</th>                        
                    </tr>
                </thead>
            </table>
        </div>
    </form> 
</div>
<div class="modal-footer">
    <!--<button type="button" class="btn btn-sm btn-success size" (click)="addFunction(ProfileAddFunction)"
        style="float: right;">Nuova Funzione</button>-->
    <button (click)="close()" type="button" class="btn btn-sm btn-danger size"
        style="float: right; margin-left: 20px;">Annulla</button>       
</div>
<ng-template #ProfileAddFunction>
        <app-profile-add-functions [profile]="profile" [function-list]="functionList" [modalRef]="modalRefAddFunc" (function-added)="rerender()" ></app-profile-add-functions>
</ng-template>